# Class TransportService.ListenKey

java.lang.Object
com.sun.jdi.connect.spi.TransportService.ListenKey

Enclosing class:
  `TransportService`

public abstract static class TransportService.ListenKey extends Object
A listen key.

A `TransportService` may listen on multiple, yet different, addresses at the same time. To uniquely identify each `listener` a listen key is created each time that `startListening` is called. The listen key is used in calls to the `accept` method to accept inbound connections to that listener. A listen key is valid until it is used as an argument to `stopListening` to stop the transport service from listening on an address.

Since:
  1.5

## Constructor Summary

Constructors
Constructor
Description
`ListenKey()`
Constructor for subclasses to call.

## Method Summary

Modifier and Type
Method
Description
`abstract String`
`address()`
Returns a string representation of the listen key.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### ListenKey

public ListenKey()
Constructor for subclasses to call.

## Method Details

### address

public abstract String address()
Returns a string representation of the listen key.